##### My SearXNG personal settings. 
use_default_settings: true

general:
  debug: false
  instance_name: "McFetridge Private Search" # Changes the name on the homepage and browser tabs

brand:
  docs_url: ""                 # Use empty strings instead of false
  issue_url: ""                # Hides the links without crashing the parser
  custom:
    links:
      "Dockhand": "http://192.168.0.8:3200"
      "My Dashboard": "http://192.168.0.9:3100"

server:
  port: 8080
  bind_address: "0.0.0.0"
  secret_key: "ee072bb45348da92be54b5224bee58b982a4279d3531f056b727c4dd3397bc3e"
  image_proxy: true # Proxies images through your server to protect your IP

search:
  default_lang: "en-US"         # Force results to a specific region
  safe_search: 1                # 0 = None, 1 = Moderate, 2 = Strict
  autocomplete: "duckduckgo"    # Upstream source for search suggestions
  formats:
    - html
    - json                      # Adds API capabilities for external script ingestion

ui:
  theme: simple
  results_on_new_tab: true      # Keeps your engine open when browsing links
  default_locale: "en"
  default_interface: "general"  # The default tab ("general", "images", "videos", "news", "it")

# This is the standard way to cleanly enable/disable specific engines in SearXNG
engines:
  - name: wikidata
    disabled: true
